/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/
package sitool.components;

import java.util.Comparator;
import java.util.Map;
import java.util.Map.Entry;

/**
 * @author graf
 *
 */
public class EntryComparator implements Comparator<Map.Entry<Position, Coordinates>>
{
    @Override
    public int compare( Entry<Position, Coordinates> o1, Entry<Position, Coordinates> o2 )
    {
        if( o1 == null && o2 == null )
        {
            return 0;
        }
        if( o1 == null )
        {
            return -1;
        }
        if( o2 == null )
        {
            return 1;
        }
        
        Position p1 = o1.getKey();
        Position p2 = o2.getKey();
        int pos1 = 10000000 * p1.getGalaxy() + 100 * p1.getSystem() + p1.getPlanet();
        int pos2 = 10000000 * p2.getGalaxy() + 100 * p2.getSystem() + p2.getPlanet();
        return pos1 - pos2;
    }
}
