package sitool.components;

import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JLabel;

public class MultiLineButton extends JButton
{
	private static final long serialVersionUID = -5191716325258406413L;
	private JLabel[] line;
	
	public MultiLineButton(String... lines)
	{
		super( "" );
		setLayout( new GridLayout( lines.length, 1 ) );
		line = new JLabel[lines.length];
		
		for( int i = 0; i< lines.length; i++ )
		{
			this.line[i] = new JLabel( lines[i] );
			add( this.line[i] );
		}
	}

	@Override
	public void setEnabled(boolean b)
	{
		super.setEnabled( b );
		for( JLabel label : line )
		{
			label.setEnabled( b );
		}
	}

	@Override
	public void setHorizontalAlignment(int alignment)
	{
		super.setHorizontalAlignment(alignment);
		for( JLabel label : line )
		{
			label.setHorizontalAlignment(alignment);
		}
	}

	public void setText(String... text)
	{
		int length = Math.min( line.length, text.length );
		for( int i = 0; i < length; i++ )
		{
			line[i].setText( text[i] );
		}
	}
}
