/****************************************
 *  COPYRIGHT (C) 2019
 *  Holger Graf
 ****************************************/
package sitool.components;

import java.util.ArrayList;

/**
 * @author graf
 *
 */
public class PositionSet extends ArrayList<Position> {

    private static final long serialVersionUID = -5521722375228528571L;

    public PositionSet() {
    }

    public PositionSet( int galaxy, int system ) {
        for( int planet = 1; planet <= Distance.getUpperPlanetBound(); planet++ ) {
            add(new Position(galaxy, system, planet));
        }
    }

    public Position getPosition() {
        return new Position(get(0), true);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append('[');
        sb.append(Position.pad( get(0).getGalaxy()));
        sb.append(':' );
        sb.append(Position.pad( get(0).getSystem()));
        sb.append(':' );
        if(size() < Distance.getUpperPlanetBound()) {
            sb.append(Position.pad( get(0).getPlanet()));
            for(int i = 1; i < size(); i++) {
                sb.append(",").append(Position.pad( get(i).getPlanet()));
            }
        }
        else {
            sb.append('x');
        }
        sb.append(']');
        return sb.toString();
    }

}
