/****************************************
 *  COPYRIGHT (C) 2022
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 * @author graf
 *
 */
public class ProductionBonus {

    private int iron;
    private int metal;
    private int kryptonite;
    private int spice;
    private int energy;

    public ProductionBonus() {}

    public ProductionBonus(ProductionBonus that) {
        this.iron = that.iron;
        this.metal = that.metal;
        this.kryptonite = that.kryptonite;
        this.spice = that.spice;
        this.energy = that.energy;
    }

    public int getIron() {
        return iron;
    }

    public void setIron( int iron ) {
        this.iron = normalize(iron);
    }

    public int getMetal() {
        return metal;
    }

    public void setMetal( int metal ) {
        this.metal = normalize(metal);
    }

    public int getKryptonite() {
        return kryptonite;
    }

    public void setKryptonite( int kryptonite ) {
        this.kryptonite = normalize(kryptonite);
    }

    public int getSpice() {
        return spice;
    }

    public void setSpice( int spice ) {
        this.spice = normalize(spice);
    }

    public int getEnergy() {
        return energy;
    }

    public void setEnergy( int energy ) {
        this.energy = normalize(energy);
    }

    public void setValue(ProductionBonus value) {
        setIron(value.getIron());
        setMetal(value.getMetal());
        setKryptonite(value.getKryptonite());
        setSpice(value.getSpice());
        setEnergy(value.getEnergy());
    }

    private int normalize(int value) {
        if(value < 0) {
            value = 0;
        }
        else if(value > 15) {
            value = 15;
        }
        return value;
    }

    private boolean isSet() {
        return getIron() + getMetal() + getKryptonite() +
               getSpice() + getEnergy() != 0;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        if(isSet()) {
            sb.append("[ ")
            .append(getIron())
            .append(" | ")
            .append(getMetal())
            .append(" | ")
            .append(getKryptonite())
            .append(" | ")
            .append(getSpice())
            .append(" | ")
            .append(getEnergy())
              .append(" ]");
        }
        return sb.toString();
    }

}
