/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/
package sitool.components;

import java.awt.Point;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author graf
 *
 */
public class Universe
{
    private static class Ring1
    {
        private static Point[] ring = new Point[]
        {
            new Point( 27, 24 ), new Point( 28, 26 ), new Point( 27, 28 ), new Point( 25, 28 ), new Point( 24, 26 ), new Point( 25, 24 )
        };


        public static Point[] getRing()
        {
            return ring;
        }
    };

    private static class Ring2
    {
        private static Point[] ring = new Point[]
        {
            new Point( 26, 22 ), new Point( 28, 22 ), new Point( 30, 24 ), new Point( 30, 26 ), new Point( 30, 28 ), new Point( 28, 30 ),
            new Point( 26, 30 ), new Point( 24, 30 ), new Point( 22, 28 ), new Point( 22, 26 ), new Point( 22, 24 ), new Point( 24, 22 )
        };


        public static Point[] getRing()
        {
            return ring;
        }
    };

    private static class Ring3
    {
        private static Point[] ring = new Point[]
        {
            new Point( 27, 20 ), new Point( 29, 20 ), new Point( 31, 21 ), new Point( 32, 23 ), new Point( 32, 25 ), new Point( 32, 27 ),
            new Point( 32, 29 ), new Point( 31, 31 ), new Point( 29, 32 ), new Point( 27, 32 ), new Point( 25, 32 ), new Point( 23, 32 ),
            new Point( 21, 31 ), new Point( 20, 29 ), new Point( 20, 27 ), new Point( 20, 25 ), new Point( 20, 23 ), new Point( 21, 21 ),
            new Point( 23, 20 ), new Point( 25, 20 )
        };


        public static Point[] getRing()
        {
            return ring;
        }
    };

    private static class Ring4
    {
        private static Point[] ring = new Point[]
        {
            new Point( 26, 18 ), new Point( 28, 18 ), new Point( 30, 18 ), new Point( 32, 19 ), new Point( 33, 20 ), new Point( 34, 22 ),
            new Point( 34, 24 ), new Point( 34, 26 ), new Point( 34, 28 ), new Point( 34, 30 ), new Point( 33, 32 ), new Point( 32, 33 ),
            new Point( 30, 34 ), new Point( 28, 34 ), new Point( 26, 34 ), new Point( 24, 34 ), new Point( 22, 34 ), new Point( 20, 33 ),
            new Point( 19, 32 ), new Point( 18, 30 ), new Point( 18, 28 ), new Point( 18, 26 ), new Point( 18, 24 ), new Point( 18, 22 ),
            new Point( 19, 20 ), new Point( 20, 19 ), new Point( 22, 18 ), new Point( 24, 18 )
        };


        public static Point[] getRing()
        {
            return ring;
        }
    };

    private static Point[][] galaxies = new Point[][]
    {
        Ring1.getRing(), Ring2.getRing(), Ring3.getRing(), Ring4.getRing()
    };

    public static Point[] getRing( int ring )
    {
        return galaxies[ring];
    }

    public static List<Point> getRingList( int ring )
    {
        return Arrays.asList( galaxies[ring] );
    }

    public static List<Point> getUniverseList()
    {
        List<Point> universe = new ArrayList<Point>();
        for( int ring = 0; ring < galaxies.length; ring++ )
        {
            universe.addAll( Arrays.asList( galaxies[ring] ) );
        }
        return universe;
    }
}
