/****************************************
 *  COPYRIGHT (C) 2008-2024
 *  Holger Graf
 ****************************************/
package sitool.i18n;

import java.util.ListResourceBundle;

import sitool.components.Building;
import sitool.components.CostReduction;
import sitool.components.Defense;
import sitool.components.Research;
import sitool.components.Resource;
import sitool.components.Ship;
import sitool.components.Unit;
import sitool.components.Version;

/**
 * @author graf
 *
 */
public class Messages_de extends ListResourceBundle
{
    // I'm less than impressed with the .properties handling (especially this native2ascii thingie),
    // lets try this
    private static final Object[][] contents =
    {
        // controls
        { "OK", "OK" },
        { "Close", "Schließen" },
        { "Cancel", "Abbrechen" },
        { "New", "Neu" },
        { "Load", "Laden..." },
        { "Save", "Speichern..." },
        { "Import", "Einlesen..." },
        { "load", "{0} laden" },
        { "save", "{0} speichern" },
        { "file.exists", "Die Datei existiert bereits. Überschreiben?" },
        { "confirm.overwrite", "Überschreiben bestätigen" },
        { "Compute", "Berechnen" },
        { "Warning", "Warnung" },
        { "Really.quit", "Wirklich beenden?" },
        { "Planet", "Planet" },
        { "Asteroid", "Asteroid" },
        { "Building", "Gebäude" },
        { "Temperature", "Temperatur" },
        { "Level", "Stufe" },
        { "max.Level", "max. Level" },
        { "WeaponsFact.level", "{0} Level" },
        { "DevC.level", "EWZ Level" },
        { "Msa.level", "MSB Level" },
        { "Energy", "Energie" },
        { "day.symbol", "T" },
        { "add", "Hinzufügen" },
        { "cancel", "abbrechen" },
        { "delete", "Auswahl löschen" },
        { "deleteAll", "Alles löschen" },
        // TechValue
        { "TechValue", "Stufe: {0} (+{1}%)" },
        // enums
        // Language
        { Language.german.name(), "deutsch" },
        { Language.english.name(), "englisch" },
        { Language.dutch.name(), "niederländisch" },
        { Language.french.name(), "französisch" },
        { Language.russian.name(), "russisch" },
        // Building
        { Building.ironMine.name(), "Roheisenmine" },
        { Building.furnace.name(), "Hochofen" },
        { Building.kryptoniteMine.name(), "Kryptonitmine" },
        { Building.spiceMine.name(), "Spicemine" },
        { Building.fusionPlant.name(), "Fusionskraftwerk" },
        { Building.thermosolarPlant.name(), "Thermosolarfabrik" },
        { Building.developmentCenter.name(), "Entwicklungszentrum" },
        { Building.researchLab.name(), "Forschungslabor" },
        { Building.superComputer.name(), "Super Computer" },
        { Building.weaponsFactory.name(), "Waffenfabrik" },
        { Building.fleetBase.name(), "Flottenstützpunkt" },
        { Building.ironStorage.name(), "Roheisenlager" },
        { Building.metalStorage.name(), "Metalllager" },
        { Building.kryptoniteStorage.name(), "Kryptonitlager" },
        { Building.spiceStorage.name(), "Spicelager" },
        { Building.particleCannon.name(), "Partikelkanone" },
        { Building.particleShield.name(), "Partikelschild" },
        { Building.msa.name(), "Microsystembeschleuniger" },
        { Version.v20.name() + "." + Building.msa.name(), "Mikrosystembeschleuniger" },
        { Building.teleporter.name(), "Teleporter" },
        { Building.scanner.name(), "GalaxyScanner" },
        { Building.tunnel.name(), "Tunnel-System" },
        // defense
        { Defense.mortar.name(), "Mörser" },
        { Defense.turboFlak.name(), "Turboflak" },
        { Defense.gravitonCannon.name(), "Leichte Gravitonkanone" },
        { Defense.heavyGravitonCannon.name(), "Schwere Gravitonkanone" },
        { Defense.ionGun.name(), "Ionengeschütz" },
        { Defense.positronLighter.name(), "Positron Lighter" },
        { Defense.intervalCannon.name(), "Intervallkanone" },
        { Defense.laserBattery.name(), "Laserkanonenbatterie" },
        { Defense.solarGun.name(), "Solargeschütz" },
        { Defense.smallShieldDome.name(), "Kleine Schildkuppel" },
        { Defense.largeShieldDome.name(), "Große Schildkuppel" },
        // Research
        { Research.mining.name(), "Minentechnik" },
        { Research.energy.name(), "Energietechnik" },
        { Research.drive.name(), "Antriebsforschung" },
        { Research.rocket.name(), "Raketentriebwerk" },
        { Research.diffusion.name(), "Diffusionstriebwerk" },
        { Research.warp.name(), "Warpantrieb" },
        { Research.espionage.name(), "Spionagetechnik" },
        { Research.weapons.name(), "Waffentechnik" },
        { Research.shields.name(), "Schildtechnik" },
        { Research.structure.name(), "Abwehrsysteme" },
        { Research.target.name(), "Zielsysteme" },
        { Research.particle.name(), "Partikel-Analyser" },
        { Research.graviton.name(), "Gravitontechnik" },
        { Research.teleportation.name(), "Teleportation" },
        { Research.blackhole.name(), "Schwarzes Loch Forschung" },
        // Resource
        { Resource.iron.name(), "Roheisen" },
        { Resource.metal.name(), "Metall" },
        { Resource.kryptonite.name(), "Kryptonit" },
        { Resource.spice.name(), "Spice" },
        // ship
        { Ship.none.name(), "" },
        { Ship.smallTransport.name(), "Kleiner Transporter" },
        { Ship.largeTransport.name(), "Großer Transporter" },
        { Ship.transmitter.name(), "Transmitter" },
        { Ship.smallFighter.name(), "Kleiner Jäger" },
        { Ship.manOWar.name(), "Kriegsschiff" },
        { Ship.starCruiser.name(), "Sternenkreuzer" },
        { Ship.phoenix.name(), "Phoenix" },
        { Ship.colonyShip.name(), "Kolonieschiff" },
        { Ship.solarCell.name(), "Solarzelle" },
        { Ship.probe.name(), "Spionagesonde" },
        { Ship.recycler.name(), "Recycler" },
        { Ship.battleship.name(), "Schlachtschiff" },
        { Ship.stealthBomber.name(), "Tarnkappenbomber" },
        { Ship.destroyer.name(), "Zerstörer" },
        { Ship.imperialStarbase.name(), "Imperiale Sternenbasis" },
        { Ship.jammer.name(), "Störsonde" },
        { Ship.empbomb.name(), "EMP-Bombe" },
        { Ship.scanship.name(), "Scanner" },
        // Version
        { Version.nexus.name(), "Nexus" },
        { Version.retro.name(), "Retro" },
        { Version.sirius.name(), "Sirius" },
        { Version.genesis.name(), "GeNeSIS5" },
        { Version.solaris.name(), "GeNeSIS4" },
        { Version.speed.name(), "Speed" },
        { Version.infinity.name(), "Infinity" },
        { Version.v20.name(), "2.0" },
        // MainFrame
        { "MainFrame.menu.file", "Datei" },
        { "MainFrame.menu.file.mnemonic", "D" },
        { "MainFrame.menu.file.exit", "Beenden" },
        { "MainFrame.menu.file.exit.mnemonic", "e" },
        { "MainFrame.menu.skins", "Skins" },
        { "MainFrame.menu.skins.mnemonic", "S" },
        { "MainFrame.menu.skins.default", "Default" },
        { "MainFrame.menu.skins.default.mnemonic", "D" },
        { "MainFrame.menu.skins.black", "Black" },
        { "MainFrame.menu.skins.black.mnemonic", "B" },
        { "MainFrame.menu.skins.blue", "Blue" },
        { "MainFrame.menu.skins.blue.mnemonic", "l" },
        { "MainFrame.menu.skins.bluesteel", "Blue Steel" },
        { "MainFrame.menu.skins.bluesteel.mnemonic", "u" },
        { "MainFrame.menu.skins.blacksteel", "Black Steel" },
        { "MainFrame.menu.skins.blacksteel.mnemonic", "a" },
        { "MainFrame.menu.skins.creme", "Creme" },
        { "MainFrame.menu.skins.creme.mnemonic", "r" },
        { "MainFrame.menu.skins.challenger", "Challenger" },
        { "MainFrame.menu.skins.challenger.mnemonic", "C" },
        { "MainFrame.menu.skins.emerald", "Emerald" },
        { "MainFrame.menu.skins.emerald.mnemonic", "E" },
        { "MainFrame.menu.skins.graphite", "Graphite" },
        { "MainFrame.menu.skins.graphite.mnemonic", "G" },
        { "MainFrame.menu.skins.nebula", "Nebula" },
        { "MainFrame.menu.skins.nebula.mnemonic", "N" },
        { "MainFrame.menu.skins.raven", "Raven" },
        { "MainFrame.menu.skins.raven.mnemonic", "R" },
        { "MainFrame.menu.skins.sahara", "Sahara" },
        { "MainFrame.menu.skins.sahara.mnemonic", "a" },
        { "MainFrame.menu.skins.silver", "Silver" },
        { "MainFrame.menu.skins.silver.mnemonic", "S" },
        { "MainFrame.menu.skins.restart", "Neustart erforderlich" },
        { "MainFrame.menu.skins.restart.text", "Diese Änderung erfordert einen Neustart des Programms. Fortfahren?" },
        { "MainFrame.menu.help", "Hilfe" },
        { "MainFrame.menu.help.mnemonic", "H" },
        { "MainFrame.menu.help.help", "Hilfe..." },
        { "MainFrame.menu.help.help.mnemonic", "H" },
        { "MainFrame.menu.help.info", "Info..." },
        { "MainFrame.menu.help.info.mnemonic", "I" },
        { "MainFrame.account", "Account" },
        { "MainFrame.accounts", "Accounts..." },
        { "MainFrame.planets", "Planeten" },
        { "MainFrame.asteroids", "Asteroiden" },
        { "MainFrame.savecalc", "Saveflug Rechner" },
        { "MainFrame.flighttime", "Flugzeit" },
        { "MainFrame.fleet", "Flotte" },
        { "MainFrame.research", "Forschung" },
        { "MainFrame.buildings", "Gebäude" },
        { "MainFrame.resources", "Wirtschaft" },
        { "MainFrame.statistics", "Statistik" },
        { "MainFrame.techtree", "Techtree" },
        { "MainFrame.trade", "Handel" },
        //help
        { "Help.title", "{0} Hilfe" },
        { "Help.url", "/help.html" },
        // points
        { "Points", "Punkte" },
        { "Points.buildings", "Gebäude: " },
        { "Points.research", "Forschung: " },
        { "Points.fleet", "Flotte: " },
        { "Points.tactical", "Takt. Flottenstärke: " },
        { "Points.total", "Gesamt: " },
        // account
        { "Account.title", "Accounts" },
        { "Account.name", "Account Name" },
        { "Account.isdefault", "default" },
        { "Account.language", "Sprache" },
        { "Account.version", "Version" },
        { "Account.speed", "Speed" },
        { "Account.speedUp", "Speed-Up" },
        { "Account.specialization", "Spezialisierung" },
        { "Account.fleeter", "Fleeter" },
        { "Account.miner", "Miner" },
        { "Account.researcher", "Forscher" },
        { "Account.fleetSpeed", "Fleet speed" },
        { "Account.productionBonus", "Bonus" },
        { "Account.spectral", "Spektral Modus" },
        { "Account.importPlanets", "Intergalactic planet overview" },
        { "Account.importSpyReports", "Spionagebericht" },
        { "Account.create", "Account anlegen" },
        { "Account.remove.selected", "Auswahl löschen" },
        { "Account.already.exists", "Account existiert bereits" },
        { "Account.unsaved.data", "Das Eingabefeld enthält noch Daten. Wirklich beenden?" },
        { "Account.outpost", "Außenposten" },
        // planet
        { "Planet.marker", "Planet" },
        { "Planet.name", "Planeten Name" },
        { "Planet.position", "Position" },
        { "Planet.size", "Felder" },
        { "Planet.temperature", "Temperatur" },
        { "Planet.own", "eigener Planet" },
        { "Planet.astrosize", "Asteroidgröße" },
        { "Planet.coordinates", "Koordinaten" },
        { "Planet.import", "Planet einlesen..." },
        // import planet
        { "PlanetBox.title", "Planet einlesen" },
        { "PlanetBox.spyMarker", "Spionagebericht von" },
        { "PlanetBox.spyMarker2", "Spionage Bericht" },
        // coordinator
        { "Coordinator.title", "Koordinator" },
        { "Coordinator.galaxyTicks", "Galaxie Rundenzähler" },
        { "Coordinator.ticks", "Rundenzähler" },
        { "Coordinator.filter", "Filter" },
        { "Coordinator.myPlanets", "Eigene Planeten" },
        { "Coordinator.sync", "Automatisch Synchronisieren..." },
        { "CoordinatorBox.title", "Synchronisieren" },
        // savecalc
        { "Savecalc.ownPlanets", "Eigene Planeten" },
        { "Savecalc.speed", "Flottengeschwindigkeit" },
        { "Savecalc.coords", "Abflug-Koordinaten" },
        { "Savecalc.flightTime", "Gesamtflugzeit" },
        { "Savecalc.calculate", "Berechnen..." },
        { "Savecalc.calculateSaveflight", "Saveflug berechnen" },
        { "Savecalc.select1", "Präzisesten Saveflug" },
        { "Savecalc.select2", "auswählen" },
        { "Savecalc.add", "Auswahl hinzufügen" },
        { "Savecalc.addAll1", "Auswahl für alle eigenen" },
        { "Savecalc.addAll2", "Planeten hinzufügen" },
        { "Savecalc.delete", "Auswahl löschen" },
        { "Savecalc.deleteAll", "Alles löschen" },
        { "Savecalc.currentFlights", "Aktuelle Saveflüge" },
        { "Savecalc.savedFlights", "Gespeicherte Saveflüge" },
        { "Savecalc.currentTime", "aktuelle Zeit" },
        { "Savecalc.onewayTime", "Wendepunkt" },
        { "Savecalc.returnTime", "Rückkehr" },
        { "Savecalc.table.start", "Startplanet" },
        { "Savecalc.table.end", "Zielplanet" },
        { "Savecalc.table.factor", "%" },
        { "Savecalc.table.longdistance", "lange Distanz" },
        { "Savecalc.table.speed", "Geschwindigkeit" },
        { "Savecalc.table.oneway", "Hinflug" },
        { "Savecalc.table.total", "Flugzeit gesamt" },
        { "DateBox.title", "Ankunft" },
        { "DateBox.label", "Gewünschte Ankuft:" },
        // fleet speed
        { "FleetspeedBox.title", "Flottengeschwindigkeit" },
        // flight time
        { "Flighttime.duration", "Flugdauer" },
        { "Flighttime.start", "Startplanet" },
        { "Flighttime.target", "Zielplanet" },
        { "Flighttime.available", "Vorhanden" },
        { "Flighttime.number", "Senden" },
        { "Flighttime.calculate", "Berechnen" },
        { "Flightvelocity.calculate", "Flottenzusammenstellung berechnen" },
        { "Flightvelocity.select", "Präzisesten auswählen" },
        { "Flighttime.distance", "Entfernung" },
        { "Flighttime.useAvailable", "Nur Vorhandene verwenden" },
        { "Flighttime.useTransporter", "Nur Transportschiffe berücksichtigen" },
        { "Flighttime.selectAll", "Alle auswählen" },
        { "Flighttime.deselectAll", "Alle abwählen" },
        { "Flighttime.farmKing", "Farm-König" },
        { "Flighttime.allianceSpecialization", "Allianz-Spezialisierung" },
        // build queue
        { "BuildList.title", "Bauliste" },
        { "BuildList.constructor", "Baukommandant" },
        // research queue
        { "TechList.title", "Forschungsliste" },
        // import buildings
        { "BuildingBox.title", "Gebäude einlesen für: {0}" },
        // fleet
        { "fleet.ships", "Schiffe" },
        { "fleet.all.ships", "Alle Schiffe" },
        { "fleet.LoadCapacity", "Flotte Ladekapazität" },
        { "fleet.defense", "Verteidigung" },
        { "fleet.tactical", "Taktische Flottenstärke" },
        { "fleet.fleetbuilder", "Flottenbaurechner" },
        { "fleet.engineer", "Techniker" },
        // fleet builder cost bonus
        { CostReduction.normal.name(), "Bauzeit: normal" },
        { CostReduction.level1.name(), "Bauzeit: x10, Kosten: -5%" },
        { CostReduction.level2.name(), "Bauzeit: x30, Kosten: -10%" },
        { CostReduction.level3.name(), "Bauzeit: x50, Kosten: -20%" },
        { CostReduction.level4.name(), "Bauzeit: x100, Kosten: -30%" },
        // import ships
        { "ShipBox.title", "Schiffe einlesen für: {0}" },
        { "ShipBox.view.marker", "[Bb]onus" },
        { "ShipBox.end.marker", "Allianzangriffe" },
        // import defenses
        { "DefenseBox.title", "Verteidigung einlesen für: {0}" },
        // tac fleet strength
        { "Tactical.available", "Meine Schiffe" },
        { "Tactical.number", "Anzahl" },
        { "Tactical.base", "Basiswert" },
        { "Tactical.bonus", "Bonus" },
        { "Tactical.sync", "Sync" },
        { "Tactical.reset", "Reset" },
        // resource view
        { "Resources.multipleProduction", "Mehrfachproduktion: " },
        { "Resources.mentorBonus", "Bonus (%): " },
        { "Resources.allianceSpecialization.producer", "Produzent (%): " },
        { "Resources.productionBonus", "Produktionsbonus (%)" },
        { "Resources.production", "Produktion für " },
        { "Resources.vacationMode", "Urlaubsmodus" },
        { "Resources.import", "Ressourcen einlesen..." },
        { "Resources.inFlight", "Auf Flug-Missionen" },
        { Unit.Minute.name(), "Minute(n)" },
        { Unit.Hour.name(), "Stunde(n)" },
        { Unit.Day.name(), "Tag(e)" },
        // import resources
        { "ResourceBox.title", "Ressourcen einlesen" },
        { "AstroResourceBox.title", "Ressourcen einlesen für {0}" },
        // technology
        { "TechBox.title", "Forschung einlesen" },
        { "TechBox.button", "Forschung einlesen..." },
        { "Bonus.mine.production", " +{0}% Minenproduktion" },
        { "Bonus.energy.production", " +{0}% Energieproduktion" },
        { "Bonus.rocket", " +{0}% Geschwindigkeit für alle Raketentriebwerke" },
        { "Bonus.diffusion", " +{0}% Geschwindigkeit für alle Diffusionstriebwerke" },
        { "Bonus.warp", " +{0}% Geschwindigkeit für alle Warptriebwerke" },
        { "Bonus.firepower", " +{0}% Schusskraft" },
        { "Bonus.shields", " +{0}% Schilde" },
        { "Bonus.structure", " +{0}% Struktur" },
        // table models
        { "total.points", "Gesamt:   " },
        { "total", "Total" },
        { "resourceequivalenz", "Ressourcen entsprechen" },
        { "Structure", "Struktur" },
        { "Shield", "Schild" },
        { "Firepower", "Schuss- kraft" },
        { "Preptime", "Vorbereitungs- zeit" },
        { "Acceleration", "Beschleu- nigung" },
        { "Velocity", "Geschwindig- keit" },
        { "Holds", "Lade- kapazität" },
        { "Consumption", "Verbrauch" },
        { "Buildtime", "Bauzeit" },
        { "Researchtime", "Forschungszeit" },
        { "Number", "Anzahl" },
        { "Transmitters", "Trans- mitter" },
        { "Capacity", "Kapazität" },
        { "Efficiency", "Auslastung" },
        { "Sum", "Summe" },
        // statistics
        { "statistics.buildings", "Gebäude" },
        { "statistics.research", "Forschung" },
        { "statistics.ships", "Schiffe" },
        { "statistics.defense", "Verteidigung" },
        { "Research", "Forschung" },
        { "ResearchLab", "Forschungszentrum" },
        { "Production.p.h", "Produktion/h" },
        { "Production.p.h.temp", "Produktion/h bei {0} °C" },
        { "Metalproduction.p.h", "Metall- produktion/h" },
        { "Energyproduction.p.h", "Energie- produktion/h" },
        { "Ironconsumption.p.h", "Roheisen- verbrauch/h" },
        { "Energyconsumption.p.h", "Energie- verbrauch/h" },
        { "Spiceconsumption.p.h", "Spice- verbrauch/h" },
        { "Particle.buffer", "Partikelspeicher" },
        { "Range", "Reichweite" },
        { "one.system", "eigenes System" },
        { "header.bonus.mining", "Bonus Minenproduktion" },
        { "header.bonus.energy", "Bonus Energieproduktion" },
        { "header.bonus.weapons", "Bonus Waffenstärke" },
        { "header.bonus.shields", "Bonus Schildstärke" },
        { "header.bonus.structure", "Bonus Struktur" },
        { "header.bonus.drive", "Bonus Geschwindigkeit" },
        { "attack.zone", "Angriffszonen" },
        { "attack.zone.zone", "Zone {0}" },
        { "attack.zone.points", "{0} - {1} Punkte" },
        // tech tree
        { "techtree.required", "Benötigt" },
        // trade
        { "Margin", "Handelsspanne" },
        { "CalculateBy", "Berechne nach" },
        { "Calculate", "Berechnen" },
        { "Value", "Wert" },
        { "Volume", "Menge" },
        { "ExchangeRate", "Offizieller Handelkurs" },
        { "Ware", "Handelsware" },
        { "min", "min." },
        { "max", "max." },
    };

    @Override
    protected Object[][] getContents()
    {
        return contents;
    }

}
