/****************************************
 *  COPYRIGHT (C) 2008-2024
 *  Holger Graf
 ****************************************/
package sitool.i18n;

import java.util.ListResourceBundle;

import sitool.components.Building;
import sitool.components.CostReduction;
import sitool.components.Defense;
import sitool.components.Research;
import sitool.components.Resource;
import sitool.components.Ship;
import sitool.components.Unit;
import sitool.components.Version;

/**
 * @author graf
 *
 */
public class Messages_en extends ListResourceBundle
{
    // I'm less than impressed with the .properties handling (especially this native2ascii thingie),
    // lets try this
    private static final Object[][] contents =
    {
        // controls
        { "OK", "OK" },
        { "Close", "Close" },
        { "Cancel", "Cancel" },
        { "New", "New" },
        { "Load", "Load..." },
        { "Save", "Save..." },
        { "Import", "Import..." },
        { "load", "load {0}" },
        { "save", "save {0}" },
        { "file.exists", "File already exists. Overwrite?" },
        { "confirm.overwrite", "Confirm overwrite" },
        { "Compute", "Calculate" },
        { "Warning", "Warning" },
        { "Really.quit", "Really quit?" },
        { "Planet", "Planet" },
        { "Asteroid", "Asteroid" },
        { "Building", "Building" },
        { "Temperature", "Temperature" },
        { "Level", "Level" },
        { "max.Level", "max. Level" },
        { "WeaponsFact.level", "{0} level" },
        { "DevC.level", "DC level" },
        { "Msa.level", "MSA level" },
        { "Energy", "Energy" },
        { "day.symbol", "D" },
        { "add", "Add" },
        { "cancel", "Cancel" },
        { "delete", "Remove selected" },
        { "deleteAll", "Remove all" },
        // TechValue
        { "TechValue", "Level: {0} (+{1}%)" },
        // enums
        // Language
        { Language.german.name(), "german" },
        { Language.english.name(), "english" },
        { Language.dutch.name(), "dutch" },
        { Language.french.name(), "french" },
        { Language.russian.name(), "russian" },
        // Building
        { Building.ironMine.name(), "Pig iron mine" },
        { Building.furnace.name(), "Blast furnace" },
        { Building.kryptoniteMine.name(), "Kryptonite mine" },
        { Building.spiceMine.name(), "Spice mine" },
        { Building.fusionPlant.name(), "Fusion plant" },
        { Building.thermosolarPlant.name(), "Thermosolar plant" },
        { Building.developmentCenter.name(), "Development center" },
        { Building.researchLab.name(), "Research lab" },
        { Building.superComputer.name(), "Super Computer" },
        { Building.weaponsFactory.name(), "Weapons factory" },
        { Building.fleetBase.name(), "Fleet base" },
        { Building.ironStorage.name(), "Pig iron warehouse" },
        { Building.metalStorage.name(), "Metal warehouse" },
        { Building.kryptoniteStorage.name(), "Kryptonite warehouse" },
        { Building.spiceStorage.name(), "Spice warehouse" },
        { Building.particleCannon.name(), "Particle cannon" },
        { Building.particleShield.name(), "Particle shield" },
        { Building.msa.name(), "Microsystem accelerator" },
        { Building.teleporter.name(), "Teleporter" },
        { Building.scanner.name(), "Galaxy scanner" },
        { Building.tunnel.name(), "Tunnel system" },
        // defense
        { Defense.mortar.name(), "Mortar" },
        { Defense.turboFlak.name(), "Turboflak" },
        { Version.v20.name() + "." + Defense.turboFlak.name(), "Turbo flak" },
        { Defense.gravitonCannon.name(), "Light graviton cannon" },
        { Defense.heavyGravitonCannon.name(), "Heavy graviton cannon" },
        { Defense.ionGun.name(), "Ion cannon" },
        { Defense.positronLighter.name(), "Positron lighter" },
        { Version.v20.name() + "." + Defense.positronLighter.name(), "Positron Lighter" },
        { Defense.intervalCannon.name(), "Interval cannon" },
        { Defense.laserBattery.name(), "Laser cannon battery" },
        { Defense.solarGun.name(), "Solar cannon" },
        { Defense.smallShieldDome.name(), "Small shield dome" },
        { Defense.largeShieldDome.name(), "Large shield dome" },
        // Research
        { Research.mining.name(), "Mining technology" },
        { Research.energy.name(), "Energy technology" },
        { Research.drive.name(), "Engine research" },
        { Research.rocket.name(), "Rocket engine" },
        { Research.diffusion.name(), "Diffusion engine" },
        { Research.warp.name(), "Warp engine" },
        { Research.espionage.name(), "Spy technology" },
        { Research.weapons.name(), "Weapons technology" },
        { Research.shields.name(), "Shield technology" },
        { Research.structure.name(), "Defense systems" },
        { Research.target.name(), "Targeting systems" },
        { Research.particle.name(), "Particle analyzer" },
        { Research.graviton.name(), "Graviton technology" },
        { Research.teleportation.name(), "Teleportation" },
        { Research.blackhole.name(), "Black hole research" },
        // Resource
        { Resource.iron.name(), "Pig iron" },
        { Resource.metal.name(), "Metal" },
        { Resource.kryptonite.name(), "Kryptonite" },
        { Resource.spice.name(), "Spice" },
        // ship
        { Ship.none.name(), "" },
        { Ship.smallTransport.name(), "Small transport" },
        { Version.v20.name() + "." + Ship.smallTransport.name(), "Small transport ship" },
        { Ship.largeTransport.name(), "Large transport" },
        { Version.v20.name() + "." + Ship.largeTransport.name(), "Large transport ship" },
        { Ship.transmitter.name(), "Transmitter" },
        { Ship.smallFighter.name(), "Small fighter" },
        { Ship.manOWar.name(), "Warship" },
        { Ship.starCruiser.name(), "Starcruiser" },
        { Version.v20.name() + "." + Ship.starCruiser.name(), "Star cruiser" },
        { Ship.phoenix.name(), "Phoenix" },
        { Ship.colonyShip.name(), "Colony ship" },
        { Ship.solarCell.name(), "Solar cell" },
        { Version.v20.name() + "." + Ship.solarCell.name(), "Solar cells" },
        { Ship.probe.name(), "Spy probe" },
        { Ship.recycler.name(), "Recycler" },
        { Ship.battleship.name(), "Battleship" },
        { Version.v20.name() + "." + Ship.battleship.name(), "Battle ship" },
        { Ship.stealthBomber.name(), "Stealth bomber" },
        { Ship.destroyer.name(), "Destroyer" },
        { Ship.imperialStarbase.name(), "Imperial starbase" },
        { Version.v20.name() + "." + Ship.imperialStarbase.name(), "Imperial star base" },
        { Ship.jammer.name(), "Jammer probe" },
        { Ship.empbomb.name(), "EMP-Bomb" },
        { Ship.scanship.name(), "Scanner ship" },
        // Version
        { Version.nexus.name(), "Nexus" },
        { Version.retro.name(), "Retro" },
        { Version.sirius.name(), "Sirius" },
        { Version.genesis.name(), "GeNeSIS5" },
        { Version.solaris.name(), "GeNeSIS4" },
        { Version.speed.name(), "Speed" },
        { Version.infinity.name(), "Infinity" },
        { Version.v20.name(), "2.0" },
        // MainFrame
        { "MainFrame.menu.file", "File" },
        { "MainFrame.menu.file.mnemonic", "F" },
        { "MainFrame.menu.file.exit", "Exit" },
        { "MainFrame.menu.file.exit.mnemonic", "E" },
        { "MainFrame.menu.skins", "Skins" },
        { "MainFrame.menu.skins.mnemonic", "S" },
        { "MainFrame.menu.skins.default", "Default" },
        { "MainFrame.menu.skins.default.mnemonic", "D" },
        { "MainFrame.menu.skins.black", "Black" },
        { "MainFrame.menu.skins.black.mnemonic", "B" },
        { "MainFrame.menu.skins.blue", "Blue" },
        { "MainFrame.menu.skins.blue.mnemonic", "l" },
        { "MainFrame.menu.skins.bluesteel", "Blue Steel" },
        { "MainFrame.menu.skins.bluesteel.mnemonic", "u" },
        { "MainFrame.menu.skins.blacksteel", "Black Steel" },
        { "MainFrame.menu.skins.blacksteel.mnemonic", "a" },
        { "MainFrame.menu.skins.creme", "Creme" },
        { "MainFrame.menu.skins.creme.mnemonic", "r" },
        { "MainFrame.menu.skins.challenger", "Challenger" },
        { "MainFrame.menu.skins.challenger.mnemonic", "C" },
        { "MainFrame.menu.skins.emerald", "Emerald" },
        { "MainFrame.menu.skins.emerald.mnemonic", "E" },
        { "MainFrame.menu.skins.graphite", "Graphite" },
        { "MainFrame.menu.skins.graphite.mnemonic", "G" },
        { "MainFrame.menu.skins.nebula", "Nebula" },
        { "MainFrame.menu.skins.nebula.mnemonic", "N" },
        { "MainFrame.menu.skins.raven", "Raven" },
        { "MainFrame.menu.skins.raven.mnemonic", "R" },
        { "MainFrame.menu.skins.sahara", "Sahara" },
        { "MainFrame.menu.skins.sahara.mnemonic", "a" },
        { "MainFrame.menu.skins.silver", "Silver" },
        { "MainFrame.menu.skins.silver.mnemonic", "S" },
        { "MainFrame.menu.skins.restart", "Restart required" },
        { "MainFrame.menu.skins.restart.text", "This change requires a program restart. Proceed?" },
        { "MainFrame.menu.help", "Help" },
        { "MainFrame.menu.help.mnemonic", "H" },
        { "MainFrame.menu.help.help", "Help..." },
        { "MainFrame.menu.help.help.mnemonic", "H" },
        { "MainFrame.menu.help.info", "Info..." },
        { "MainFrame.menu.help.info.mnemonic", "I" },
        { "MainFrame.account", "Account" },
        { "MainFrame.accounts", "Accounts..." },
        { "MainFrame.planets", "Planets" },
        { "MainFrame.asteroids", "Asteroids" },
        { "MainFrame.savecalc", "Escape Flight Calculator" },
        { "MainFrame.flighttime", "Flight Time" },
        { "MainFrame.fleet", "Fleet" },
        { "MainFrame.research", "Research" },
        { "MainFrame.buildings", "Buildings" },
        { "MainFrame.resources", "Economy" },
        { "MainFrame.statistics", "Statistics" },
        { "MainFrame.techtree", "Tech tree" },
        { "MainFrame.trade", "Trade" },
        //help
        { "Help.title", "{0} Help" },
        { "Help.url", "/help_en.html" },
        // points
        { "Points", "Points" },
        { "Points.buildings", "Buildings: " },
        { "Points.research", "Research: " },
        { "Points.fleet", "Fleet: " },
        { "Points.tactical", "Tac Fleet Strength: " },
        { "Points.total", "Total: " },
        // account
        { "Account.title", "Accounts" },
        { "Account.name", "Account name" },
        { "Account.isdefault", "default" },
        { "Account.language", "Language" },
        { "Account.version", "Version" },
        { "Account.speed", "Speed" },
        { "Account.speedUp", "Speed-Up" },
        { "Account.specialization", "Specialization" },
        { "Account.fleeter", "Fleeter" },
        { "Account.miner", "Miner" },
        { "Account.researcher", "Researcher" },
        { "Account.productionBonus", "Bonus" },
        { "Account.fleetSpeed", "Fleet speed" },
        { "Account.spectral", "Spectral Mode" },
        { "Account.importPlanets", "Intergalactic planet overview" },
        { "Account.importSpyReports", "Spy report" },
        { "Account.create", "Create account" },
        { "Account.remove.selected", "Delete selected" },
        { "Account.already.exists", "Account already exists" },
        { "Account.unsaved.data", "You have unsaved data. Really close?" },
        { "Account.outpost", "Outpost" },
        // planet
        { "Planet.marker", "Planet" },
        { "Planet.name", "Planet name" },
        { "Planet.position", "Position" },
        { "Planet.size", "Size" },
        { "Planet.temperature", "Temperature" },
        { "Planet.own", "Own planet" },
        { "Planet.astrosize", "Asteroid size" },
        { "Planet.coordinates", "Coordinates" },
        { "Planet.import", "Import Planet..." },
        // import planet
        { "PlanetBox.title", "Import Planet" },
        { "PlanetBox.spyMarker", "Spy report from" },
        { "PlanetBox.spyMarker2", "Spy report" },
        // coordinator
        { "Coordinator.title", "Coordinator" },
        { "Coordinator.galaxyTicks", "Galaxy Spin" },
        { "Coordinator.ticks", "Spin" },
        { "Coordinator.filter", "Filter" },
        { "Coordinator.myPlanets", "Own planets" },
        { "Coordinator.sync", "Synchronise automatically..." },
        { "CoordinatorBox.title", "Synchronise" },
        // savecalc
        { "Savecalc.ownPlanets", "My planets" },
        { "Savecalc.speed", "Fleet Speed" },
        { "Savecalc.coords", "Launch Planet" },
        { "Savecalc.flightTime", "Total Flight Duration" },
        { "Savecalc.calculate", "Calculate..." },
        { "Savecalc.calculateSaveflight", "Calculate escape flight" },
        { "Savecalc.select1", "Select most accurate" },
        { "Savecalc.select2", "escape flight" },
        { "Savecalc.add", "Add selected" },
        { "Savecalc.addAll1", "Add selected for" },
        { "Savecalc.addAll2", "all my planets" },
        { "Savecalc.delete", "Remove selected" },
        { "Savecalc.deleteAll", "Remove all" },
        { "Savecalc.currentFlights", "Calculated escape flights" },
        { "Savecalc.savedFlights", "Saved escape flights" },
        { "Savecalc.currentTime", "Current time" },
        { "Savecalc.onewayTime", "Turning point" },
        { "Savecalc.returnTime", "Arrival" },
        { "Savecalc.table.start", "Launch planet" },
        { "Savecalc.table.end", "Target planet" },
        { "Savecalc.table.factor", "%" },
        { "Savecalc.table.longdistance", "long distance" },
        { "Savecalc.table.speed", "Speed" },
        { "Savecalc.table.oneway", "One way" },
        { "Savecalc.table.total", "Total duration" },
        { "DateBox.title", "Arrival" },
        { "DateBox.label", "Desired arrival time:" },
        // fleet speed
        { "FleetspeedBox.title", "Fleet speed" },
        // flight time
        { "Flighttime.duration", "Duration" },
        { "Flighttime.start", "Start planet" },
        { "Flighttime.target", "Target planet" },
        { "Flighttime.available", "Available" },
        { "Flighttime.number", "Send" },
        { "Flighttime.calculate", "Calculate" },
        { "Flightvelocity.calculate", "Calculate fleet composition" },
        { "Flightvelocity.select", "Select most accurate" },
        { "Flighttime.distance", "Distance" },
        { "Flighttime.useAvailable", "Only use available" },
        { "Flighttime.useTransporter", "Only consider transporters" },
        { "Flighttime.selectAll", "Select all" },
        { "Flighttime.deselectAll", "Deselect all" },
        { "Flighttime.farmKing", "Farm king" },
        { "Flighttime.allianceSpecialization", "Alliance Specialization" },
        // build queue
        { "BuildList.title", "Build queue" },
        { "BuildList.constructor", "Construction Commander" },
        // research queue
        { "TechList.title", "Research queue" },
        // import buildings
        { "BuildingBox.title", "Import buildings for: {0}" },
        // fleet
        { "fleet.ships", "Ships" },
        { "fleet.all.ships", "All Ships" },
        { "fleet.LoadCapacity", "Fleet cargo capacity" },
        { "fleet.defense", "Defense" },
        { "fleet.tactical", "Tactical Fleet Strength" },
        { "fleet.fleetbuilder", "Fleet calculator" },
        { "fleet.engineer", "Engineer" },
        // fleet builder cost bonus
        { CostReduction.normal.name(), "build time: normal" },
        { CostReduction.level1.name(), "build time: x10, costs: -5%" },
        { CostReduction.level2.name(), "build time: x30, costs: -10%" },
        { CostReduction.level3.name(), "build time: x50, costs: -20%" },
        { CostReduction.level4.name(), "build time: x100, costs: -30%" },
        // import ships
        { "ShipBox.title", "Import ships for: {0}" },
        { "ShipBox.view.marker", "[Bb]onus" },
        { "ShipBox.end.marker", "Alliance attacks" },
        // import defenses
        { "DefenseBox.title", "Import defense for: {0}" },
        // tac fleet strength
        { "Tactical.available", "My ships" },
        { "Tactical.number", "Number" },
        { "Tactical.base", "Base value" },
        { "Tactical.bonus", "Bonus" },
        { "Tactical.sync", "Sync" },
        { "Tactical.reset", "Reset" },
        // resource view
        { "Resources.multipleProduction", "Production multiplier: " },
        { "Resources.mentorBonus", "Bonus (%): " },
        { "Resources.allianceSpecialization.producer", "Producer (%): " },
        { "Resources.productionBonus", "Production bonus (%)" },
        { "Resources.production", "Production for " },
        { "Resources.vacationMode", "Holiday mode" },
        { "Resources.import", "Import ressources..." },
        { "Resources.inFlight", "On flight missions" },
        { Unit.Minute.name(), "Minute(s)" },
        { Unit.Hour.name(), "Hour(s)" },
        { Unit.Day.name(), "Day(s)" },
        // import resources
        { "ResourceBox.title", "Import resources" },
        { "AstroResourceBox.title", "Import resources for {0}" },
        // technology
        { "TechBox.title", "Import research" },
        { "TechBox.button", "Import research..." },
        { "Bonus.mine.production", " +{0}% mine production" },
        { "Bonus.energy.production", " +{0}% energy production" },
        { "Bonus.rocket", " +{0}% speed for all rocket engines" },
        { "Bonus.diffusion", " +{0}% speed for all diffusion engines" },
        { "Bonus.warp", " +{0}% speed for all warp engines " },
        { "Bonus.firepower", " +{0}% fire power" },
        { "Bonus.shields", " +{0}% schields" },
        { "Bonus.structure", " +{0}% structure" },
        // table models
        { "total.points", "Total:   " },
        { "total", "Total" },
        { "resourceequivalenz", "Resources are equivalent to" },
        { "Structure", "Structure" },
        { "Shield", "Shields" },
        { "Firepower", "Fire power" },
        { "Preptime", "Preparation time" },
        { "Acceleration", "Acceleration" },
        { "Velocity", "Speed" },
        { "Holds", "Holds" },
        { "Consumption", "Consumption" },
        { "Buildtime", "Build time" },
        { "Researchtime", "Research time" },
        { "Number", "Number" },
        { "Transmitters", "Trans- mitter" },
        { "Capacity", "Capacity" },
        { "Efficiency", "Efficiency" },
        { "Sum", "Total" },
        // statistics
        { "statistics.buildings", "Buildings" },
        { "statistics.research", "Research" },
        { "statistics.ships", "Ships" },
        { "statistics.defense", "Defense" },
        { "Research", "Research" },
        { "ResearchLab", "Research Lab" },
        { "Production.p.h", "Production/h" },
        { "Production.p.h.temp", "Production/h at {0} °C" },
        { "Metalproduction.p.h", "Metal production/h" },
        { "Energyproduction.p.h", "Energy production/h" },
        { "Ironconsumption.p.h", "Pig&nbsp;iron consumption/h" },
        { "Energyconsumption.p.h", "Energy consumption/h" },
        { "Spiceconsumption.p.h", "Spice consumption/h" },
        { "Particle.buffer", "Particle buffer" },
        { "Range", "Range" },
        { "one.system", "own system" },
        { "header.bonus.mining", "Mine production" },
        { "header.bonus.energy", "Energy production" },
        { "header.bonus.weapons", "Fire power" },
        { "header.bonus.shields", "Shields" },
        { "header.bonus.structure", "Strucure" },
        { "header.bonus.drive", "Speed" },
        { "attack.zone", "Attack zones" },
        { "attack.zone.zone", "Zone {0}" },
        { "attack.zone.points", "{0} - {1} Points" },
        // tech tree
        { "techtree.required", "Required" },
        // trade
        { "Margin", "Margin" },
        { "CalculateBy", "Calculate by" },
        { "Calculate", "Calculate" },
        { "Value", "Value" },
        { "Volume", "Volume" },
        { "ExchangeRate", "Exchange Rate" },
        { "Ware", "Trade Amount" },
        { "min", "min." },
        { "max", "max." },
    };

    @Override
    protected Object[][] getContents()
    {
        return contents;
    }

}
