/****************************************
 *  COPYRIGHT (C) 2008-2024
 *  Holger Graf
 ****************************************/
package sitool.i18n;

import java.util.ListResourceBundle;

import sitool.components.Building;
import sitool.components.CostReduction;
import sitool.components.Defense;
import sitool.components.Research;
import sitool.components.Resource;
import sitool.components.Ship;
import sitool.components.Unit;
import sitool.components.Version;

/**
 * @author graf
 *
 */
public class Messages_fr extends ListResourceBundle
{
    // I'm less than impressed with the .properties handling (especially this native2ascii thingie),
    // lets try this
    private static final Object[][] contents =
    {
        // controls
        { "OK", "OK" },
        { "Close", "Fermer" },
        { "Cancel", "Annuler" },
        { "New", "Nouveau" },
        { "Load", "Charger..." },
        { "Save", "Sauvegarder..." },
        { "Import", "Importer..." },
        { "load", "load {0}" },
        { "save", "save {0}" },
        { "file.exists", "Fichier existant. Voulez-vous le remplacer?" },
        { "confirm.overwrite", "Confirmez-vous le remplacement?" },
        { "Compute", "Calculer" },
        { "Warning", "Attention" },
        { "Really.quit", "Etes-vous sûr de vouloir quitter?" },
        { "Planet", "Planète" },
        { "Asteroid", "Astéroïde" },
        { "Building", "Construction" },
        { "Temperature", "Température" },
        { "Level", "Niveau" },
        { "max.Level", "Niveau (max)" },
        { "WeaponsFact.level", "{0} niveau" },
        { "DevC.level", "CD niveau" },
        { "Msa.level", "AMS niveau" },
        { "Energy", "Energie" },
        { "day.symbol", "J" },
        { "add", "Ajouter" },
        { "cancel", "annuler" },
        { "delete", "Supprimer la séléction" },
        { "deleteAll", "Tout supprimer" },
        // TechValue
        { "TechValue", "Niveau: {0} (+{1}%)" },
        // enums
        // Language
        { Language.german.name(), "Allemand" },
        { Language.english.name(), "Anglais" },
        { Language.dutch.name(), "Néerlandais" },
        { Language.russian.name(), "Russe" },
		{ Language.french.name(), "Français" },
        // Building
        { Building.ironMine.name(), "Mine de fer" },
        { Building.furnace.name(), "Haut fourneau" },
        { Version.v20.name() + "." + Building.furnace.name(), "Hauts fourneaux" },
        { Building.kryptoniteMine.name(), "Mine de kryptonite" },
        { Building.spiceMine.name(), "Mine d'épice" },
        { Building.fusionPlant.name(), "Réacteur à fusion" },
        { Building.thermosolarPlant.name(), "Réacteur thermosolaire" },
        { Building.developmentCenter.name(), "Centre de développement" },
        { Building.researchLab.name(), "Labo de recherche" },
        { Version.v20.name() + "." + Building.researchLab.name(), "Laboratoire de recherche" },
        { Building.superComputer.name(), "Super Computer" },
        { Building.weaponsFactory.name(), "Usine d'armement" },
        { Building.fleetBase.name(), "Astroport" },
        { Building.ironStorage.name(), "Entrepôt de fonte" },
        { Building.metalStorage.name(), "Entrepôt de métal" },
        { Building.kryptoniteStorage.name(), "Entrepôt de kryptonite" },
        { Building.spiceStorage.name(), "Entrepôt d'épice" },
        { Building.particleCannon.name(), "Canon à particules" },
        { Building.particleShield.name(), "Bouclier anti-particules" },
        { Building.msa.name(), "Accélérateur micro-système" },
        { Building.teleporter.name(), "Téléporteur" },
        { Building.scanner.name(), "Radar galactique" },
        { Building.tunnel.name(), "Tunnel system" },
        // defense
        { Defense.mortar.name(), "Mortier" },
        { Defense.turboFlak.name(), "Turbocanon" },
        { Defense.gravitonCannon.name(), "Canon léger à gravitons" },
        { Defense.heavyGravitonCannon.name(), "Canon lourd à gravitons" },
        { Defense.ionGun.name(), "Canon à ions" },
        { Defense.positronLighter.name(), "Déclencheur à positrons" },
        { Defense.intervalCannon.name(), "Canon à intervalles" },
        { Defense.laserBattery.name(), "Batterie de canons laser" },
        { Defense.solarGun.name(), "Canon solaire" },
        { Defense.smallShieldDome.name(), "Dôme de protection léger" },
        { Defense.largeShieldDome.name(), "Dôme de protection lourd" },
        // Research
        { Research.mining.name(), "Technologies d'extraction" },
        { Version.v20.name() + "." + Research.mining.name(), "Technologie d'extraction" },
        { Research.energy.name(), "Technologies énergétiques" },
        { Research.drive.name(), "Recherches sur la propulsion" },
        { Research.rocket.name(), "Moteurs à réaction" },
        { Research.diffusion.name(), "Moteurs à diffusion" },
        { Research.warp.name(), "Moteurs à distorsion" },
        { Research.espionage.name(), "Technologies d'espionnage" },
        { Research.weapons.name(), "Technologies d'armement" },
        { Research.shields.name(), "Technologies de boucliers" },
        { Research.structure.name(), "Systèmes de défense" },
        { Research.target.name(), "Systèmes d'acquisition" },
        { Version.v20.name() + "." + Research.target.name(), "Systèmes de ciblage" },
        { Research.particle.name(), "Analyseur de particules" },
        { Research.graviton.name(), "Technologies du graviton" },
        { Version.v20.name() + "." + Research.graviton.name(), "Technologie du graviton" },
        { Research.teleportation.name(), "Téléportation" },
        { Research.blackhole.name(), "Etudes des Trous Noirs (ETN)" },
        { Version.v20.name() + "." + Research.blackhole.name(), "Etudes des trous noirs" },
        // Resource
        { Resource.iron.name(), "Fonte" },
        { Resource.metal.name(), "Métal" },
        { Resource.kryptonite.name(), "Kryptonite" },
        { Resource.spice.name(), "Epice" },
        // ship
        { Ship.none.name(), "" },
        { Ship.smallTransport.name(), "Cargo léger" },
        { Ship.largeTransport.name(), "Cargo lourd" },
        { Ship.transmitter.name(), "Transmetteur" },
        { Ship.smallFighter.name(), "Chasseur léger" },
        { Ship.manOWar.name(), "Chasseur de combat" },
        { Ship.starCruiser.name(), "Croiseur interstellaire" },
        { Ship.phoenix.name(), "Phénix" },
        { Ship.colonyShip.name(), "Colonisateur" },
        { Ship.solarCell.name(), "Cellule solaire" },
        { Version.v20.name() + "." + Ship.solarCell.name(), "Cellules solaires" },
        { Ship.probe.name(), "Sonde" },
        { Ship.recycler.name(), "Recycleur" },
        { Ship.battleship.name(), "Croiseur de combat" },
        { Ship.stealthBomber.name(), "Bombardier furtif" },
        { Ship.destroyer.name(), "Destroyer" },
        { Ship.imperialStarbase.name(), "Base spatiale impériale" },
        { Ship.jammer.name(), "Jammer sonde" },
        { Ship.empbomb.name(), "Bombe EMP" },
        { Ship.scanship.name(), "Vaisseau scanneur" },
        // Version
        { Version.nexus.name(), "Nexus" },
        { Version.retro.name(), "Retro" },
        { Version.sirius.name(), "Sirius" },
        { Version.genesis.name(), "GeNeSIS5" },
        { Version.solaris.name(), "GeNeSIS4" },
        { Version.speed.name(), "Speed" },
        { Version.infinity.name(), "Infinity" },
        { Version.v20.name(), "2.0" },
        // MainFrame
        { "MainFrame.menu.file", "Fichier" },
        { "MainFrame.menu.file.mnemonic", "F" },
        { "MainFrame.menu.file.exit", "Sortir" },
        { "MainFrame.menu.file.exit.mnemonic", "E" },
        { "MainFrame.menu.skins", "Thèmes" },
        { "MainFrame.menu.skins.mnemonic", "S" },
        { "MainFrame.menu.skins.default", "Défaut" },
        { "MainFrame.menu.skins.default.mnemonic", "D" },
        { "MainFrame.menu.skins.black", "Black" },
        { "MainFrame.menu.skins.black.mnemonic", "B" },
        { "MainFrame.menu.skins.blue", "Blue" },
        { "MainFrame.menu.skins.blue.mnemonic", "l" },
        { "MainFrame.menu.skins.bluesteel", "Blue Steel" },
        { "MainFrame.menu.skins.bluesteel.mnemonic", "u" },
        { "MainFrame.menu.skins.blacksteel", "Black Steel" },
        { "MainFrame.menu.skins.blacksteel.mnemonic", "a" },
        { "MainFrame.menu.skins.creme", "Creme" },
        { "MainFrame.menu.skins.creme.mnemonic", "r" },
        { "MainFrame.menu.skins.challenger", "Challenger" },
        { "MainFrame.menu.skins.challenger.mnemonic", "C" },
        { "MainFrame.menu.skins.emerald", "Emerald" },
        { "MainFrame.menu.skins.emerald.mnemonic", "E" },
        { "MainFrame.menu.skins.graphite", "Graphite" },
        { "MainFrame.menu.skins.graphite.mnemonic", "G" },
        { "MainFrame.menu.skins.nebula", "Nebula" },
        { "MainFrame.menu.skins.nebula.mnemonic", "N" },
        { "MainFrame.menu.skins.raven", "Raven" },
        { "MainFrame.menu.skins.raven.mnemonic", "R" },
        { "MainFrame.menu.skins.sahara", "Sahara" },
        { "MainFrame.menu.skins.sahara.mnemonic", "a" },
        { "MainFrame.menu.skins.silver", "Silver" },
        { "MainFrame.menu.skins.silver.mnemonic", "S" },
        { "MainFrame.menu.skins.restart", "Redémarrage nécessaire." },
        { "MainFrame.menu.skins.restart.text", "Un redémarrage du logiciel est nécessaire. Ok?" },
        { "MainFrame.menu.help", "Aide" },
        { "MainFrame.menu.help.mnemonic", "H" },
        { "MainFrame.menu.help.help", "Aide..." },
        { "MainFrame.menu.help.help.mnemonic", "H" },
        { "MainFrame.menu.help.info", "Infos..." },
        { "MainFrame.menu.help.info.mnemonic", "I" },
        { "MainFrame.account", "Compte" },
        { "MainFrame.accounts", "Comptes..." },
        { "MainFrame.planets", "Planètes" },
        { "MainFrame.asteroids", "Astéroïdes" },
        { "MainFrame.savecalc", "Calcule de vol de retraite" },
        { "MainFrame.flighttime", "Calcule de vols" },
        { "MainFrame.fleet", "Flotte" },
        { "MainFrame.research", "Recherche" },
        { "MainFrame.buildings", "Bâtiment" },
        { "MainFrame.resources", "Economie" },
        { "MainFrame.statistics", "Statistiques" },
        { "MainFrame.techtree", "Arbre technologique" },
        { "MainFrame.trade", "Marchand" },
        //help
        { "Help.title", "{0} Aide" },
        { "Help.url", "/help_en.html" },
        // points
        { "Points", "Points" },
        { "Points.buildings", "Bâtiment: " },
        { "Points.research", "Recherche: " },
        { "Points.fleet", "Flotte: " },
        { "Points.tactical", "Tac Fleet Strength: " },
        { "Points.total", "Total: " },
        // account
        { "Account.title", "Comptes" },
        { "Account.name", "Nom du compte" },
        { "Account.isdefault", "Défaut" },
        { "Account.language", "Langue" },
        { "Account.version", "Version" },
        { "Account.speed", "Vitesse" },
        { "Account.specialization", "Specialization" },
        { "Account.fleeter", "Fleeter" },
        { "Account.miner", "Miner" },
        { "Account.researcher", "Researcher" },
        { "Account.productionBonus", "Bonus" },
        { "Account.speedUp", "Speed-Up" },
        { "Account.fleetSpeed", "Fleet speed" },
        { "Account.spectral", "Spectral Mode" },
        { "Account.importPlanets", "Intergalactic planet overview" },
        { "Account.importSpyReports", "Rapport d'espionnage" },
        { "Account.create", "Creer un compte" },
        { "Account.remove.selected", "Supprimer la sélection" },
        { "Account.already.exists", "Ce compte existe déjà" },
        { "Account.unsaved.data", "Vous n'avez pas enregistré. Etes-vous sûr de vouloir quitter?" },
        { "Account.outpost", "Outpost" },
        // planet
        { "Planet.marker", "Planet" },
        { "Planet.name", "Nom de la planète" },
        { "Planet.position", "Position" },
        { "Planet.size", "Taille" },
        { "Planet.temperature", "Température" },
        { "Planet.own", "Apparente" },
        { "Planet.astrosize", "Taille de lastéroïde" },
        { "Planet.coordinates", "Coordonnées" },
        { "Planet.import", "Importer une planète..." },
        // import planet
        { "PlanetBox.title", "Importer une planète" },
        { "PlanetBox.spyMarker", "Rapport d'espionnage de" },
        // coordinator
        { "Coordinator.title", "Coordinator" },
        { "Coordinator.galaxyTicks", "Galaxy Spin" },
        { "Coordinator.ticks", "Spin" },
        { "Coordinator.filter", "Filtrer" },
        { "Coordinator.myPlanets", "Own planets" },
        { "Coordinator.sync", "Synchronise automatically..." },
        { "CoordinatorBox.title", "Synchronise" },
        // savecalc
        { "Savecalc.ownPlanets", "Mes planètes" },
        { "Savecalc.speed", "Vitesse de la flotte" },
        { "Savecalc.coords", "Planète de départ" },
        { "Savecalc.flightTime", "Temps total de vol" },
        { "Savecalc.calculate", "Calculer..." },
        { "Savecalc.calculateSaveflight", "Calculer de vol de retraite" },
        { "Savecalc.select1", "Sélectionner le plus précis" },
        { "Savecalc.select2", "vol de retraite" },
        { "Savecalc.add", "Ajouter la séléction" },
        { "Savecalc.addAll1", "Ajouter la sélection pour" },
        { "Savecalc.addAll2", "Toutes mes planètes" },
        { "Savecalc.delete", "Enlever la sélection" },
        { "Savecalc.deleteAll", "Enlever tout" },
        { "Savecalc.currentFlights", "Vol de retraite trouvés" },
        { "Savecalc.savedFlights", "Vol de retraite sauvegardés" },
        { "Savecalc.currentTime", "Heure actuelle" },
        { "Savecalc.onewayTime", "Début du retour" },
        { "Savecalc.returnTime", "Arrivée" },
        { "Savecalc.table.start", "Planète de départ" },
        { "Savecalc.table.end", "Planète d'arrivée" },
        { "Savecalc.table.longdistance", "longue distance" },
        { "Savecalc.table.factor", "%" },
        { "Savecalc.table.speed", "Vitesse" },
        { "Savecalc.table.oneway", "Aller simple" },
        { "Savecalc.table.total", "Durée total" },
        { "DateBox.title", "Arrivée" },
        { "DateBox.label", "Temps de vol souhaité:" },
        // fleet speed
        { "FleetspeedBox.title", "Vitesse de la flotte" },
        // flight time
        { "Flighttime.duration", "Durée" },
        { "Flighttime.start", "Planète de départ" },
        { "Flighttime.target", "Planète cible" },
        { "Flighttime.available", "Disponible" },
        { "Flighttime.number", "Envoyer" },
        { "Flighttime.calculate", "Calculer" },
        { "Flightvelocity.calculate", "Calculer le temps de vol" },
        { "Flightvelocity.select", "Sélectionner le plus précis" },
        { "Flighttime.distance", "Distance" },
        { "Flighttime.useAvailable", "Utiliser seulement les vaisseaux disponibles" },
        { "Flighttime.useTransporter", "Utiliser seulement les cargos" },
        { "Flighttime.selectAll", "Tout sélectionner" },
        { "Flighttime.deselectAll", "Tout désélectionner" },
        { "Flighttime.farmKing", "Farm king" },
        { "Flighttime.allianceSpecialization", "Spécialisation Alliance" },
        // build queue
        { "BuildList.title", "File de construction" },
        { "BuildList.constructor", "Construction Commander" },
        // research queue
        { "TechList.title", "File de recherche" },
        // import buildings
        { "BuildingBox.title", "Importer les bâtiment pour: {0}" },
        // fleet
        { "fleet.ships", "Flotte" },
        { "fleet.all.ships", "Tous les navires" },
        { "fleet.LoadCapacity", "Capacité de chargement de la flotte" },
        { "fleet.defense", "Défense" },
        { "fleet.tactical", "Tactical Fleet Strength" },
        { "fleet.fleetbuilder", "Calcul de flotte" },
        { "fleet.engineer", "L'ingénieur" },
        { CostReduction.normal.name(), "Durée de construction: normal" },
        { CostReduction.level1.name(), "Durée de construction: x10, coûts: -5%" },
        { CostReduction.level2.name(), "Durée de construction: x30, coûts: -10%" },
        { CostReduction.level3.name(), "Durée de construction: x50, coûts: -20%" },
        { CostReduction.level4.name(), "Durée de construction: x100, coûts: -30%" },
        // import ships
        { "ShipBox.title", "Importer des vaisseaux pour: {0}" },
        { "ShipBox.view.marker", "[Bb]onus" },
        { "ShipBox.end.marker", "Attaques de l'alliance" },
        // import defenses
        { "DefenseBox.title", "Importer des défenses pour: {0}" },
        // tac fleet strength
        { "Tactical.available", "Ma flotte" },
        { "Tactical.number", "Nombre" },
        { "Tactical.base", "Valeur de base" },
        { "Tactical.bonus", "Bonus" },
        { "Tactical.sync", "Sync" },
        { "Tactical.reset", "Reset" },
        // resource view
        { "Resources.multipleProduction", "Production multiples: " },
        { "Resources.mentorBonus", "Bonus (%): " },
        { "Resources.allianceSpecialization.producer", "Producteur (%): " },
        { "Resources.productionBonus", "Production bonus (%)" },
        { "Resources.production", "Production pour " },
        { "Resources.vacationMode", "Mode vacance" },
        { "Resources.import", "Importer des ressources..." },
        { "Resources.inFlight", "On flight missions" },
        { Unit.Minute.name(), "Minute(s)" },
        { Unit.Hour.name(), "Heure(s)" },
        { Unit.Day.name(), "Jour(s)" },
        // import resources
        { "ResourceBox.title", "Importer des ressources" },
        { "AstroResourceBox.title", "Importer des ressources pour: {0}" },
        // technology
        { "TechBox.title", "Importe des recherches" },
        { "TechBox.button", "Importer des recherches..." },
        { "Bonus.mine.production", " +{0}% de production minière" },
        { "Bonus.energy.production", " +{0}% de production d'énergie" },
        { "Bonus.rocket", " +{0}% de vitesse pour les moteurs à réactions" },
        { "Bonus.diffusion", " +{0}% de vitesse pour les moteurs à diffusion" },
        { "Bonus.warp", " +{0}% de vitesse pour les moteurs à distortion" },
        { "Bonus.firepower", " +{0}% de puissance de feu" },
        { "Bonus.shields", " +{0}% de bouclier" },
        { "Bonus.structure", " +{0}% de structure" },
        // table models
        { "total.points", "Total:   " },
        { "total", "Total" },
        { "resourceequivalenz", "Ressources equivalentes à" },
        { "Structure", "Structure" },
        { "Shield", "Bouclier" },
        { "Firepower", "Puissance de feu" },
        { "Velocity", "Vitesse" },
        { "Holds", "Holds" },
        { "Consumption", "Consommation" },
        { "Buildtime", "Durée de construction" },
        { "Researchtime", "Temps de recherche" },
        { "Number", "Nombre" },
        { "Transmitters", "Trans- metteur" },
        { "Capacity", "Capacité" },
        { "Efficiency", "Efficacité" },
        { "Sum", "Total" },
        // statistics
        { "statistics.buildings", "Bâtiment" },
        { "statistics.research", "Recherche" },
        { "statistics.ships", "Flotte" },
        { "statistics.defense", "Défense" },
        { "Research", "Recherche" },
        { "ResearchLab", "Labo de recherche" },
        { "Production.p.h", "Production/h" },
        { "Production.p.h.temp", "Production/h à {0} °C" },
        { "Metalproduction.p.h", "Metal production/h" },
        { "Energyproduction.p.h", "Energy production/h" },
        { "Ironconsumption.p.h", "Consommation de fonte/h" },
        { "Energyconsumption.p.h", "Consommation d'énergie/h" },
        { "Spiceconsumption.p.h", "Consommation d'épice/h" },
        { "Particle.buffer", "Bouclier anti-particules" },
        { "Range", "Distance" },
        { "one.system", "Votre système" },
        { "header.bonus.mining", "Prodution minière" },
        { "header.bonus.energy", "Prodution d'énergie" },
        { "header.bonus.weapons", "Puissance de feu" },
        { "header.bonus.shields", "Bouclier" },
        { "header.bonus.structure", "Structure" },
        { "header.bonus.drive", "Speed" },
        { "attack.zone", "Zone d'attaque" },
        { "attack.zone.zone", "Zone {0}" },
        { "attack.zone.points", "{0} - {1} Points" },
        // tech tree
        { "techtree.required", "Requis" },
        // trade
        { "Margin", "Marge d'échange" },
        { "CalculateBy", "Calculer par" },
        { "Calculate", "Calculer" },
        { "Value", "Valeur" },
        { "Volume", "Quantité" },
        { "ExchangeRate", "Coefficients officiel d'échange" },
        { "Ware", "Montant" },
        { "min", "min." },
        { "max", "max." },
    };

    @Override
    protected Object[][] getContents()
    {
        return contents;
    }

}
