/****************************************
 *  COPYRIGHT (C) 2023
 *  Holger Graf
 ****************************************/
package sitool.json;

import java.util.LinkedHashMap;
import java.util.List;

import sitool.components.Position;
import sitool.components.PositionSet;

/**
 *
 */
public class PlanetVisibility extends LinkedHashMap<String, List<String>>{

    private static final long serialVersionUID = 7288070583105797490L;

    public PositionSet getSystem(Position system) {
        PositionSet positionSet = new PositionSet();
        List<String> planets = get(system.toString());
        if(planets != null) {
            for(String planet : planets)
                positionSet.add(new Position(planet));
        }
        return positionSet;
    }
}
