/****************************************
 *  COPYRIGHT (C) 2008-2017
 *  Holger Graf
 ****************************************/
package sitool.statistic;

import sitool.components.Cost;
import sitool.components.Version;

/**
 * @author graf
 *
 */
public class DefenseCalculator
{
    /**
     * Returns build time in ms
     * @param cost
     * @return
     */
    public static long buildTime( Cost cost, boolean isEngineerEnabled, Version version)
    {
        double rv = 0;

        rv += ((version != Version.v20) ? 1500 : 4500) * cost.getIron();
        rv += 1500 * cost.getMetal();
        rv += 200 * cost.getKryptonite();
        // spice doesn't count
        rv /= 3.0;
        if( isEngineerEnabled ) {
            rv *= 0.9;
        }
        return (long)Math.ceil(rv);
    }

    /**
     * @param cost
     * @return
     */
    public static long getStructure( Cost cost )
    {
        long rv = 0;

        rv += cost.getIron();
        rv += cost.getMetal();
        rv += cost.getKryptonite();
        // spice doesn't count
        return rv;
    }

}
