/****************************************
 *  COPYRIGHT (C) 2013
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.TableModel;

import sitool.ConfigData;

/**
 * @author graf
 *
 */
public class AlienTableCellRenderer extends BlindTableCellRenderer
{
    private static final long serialVersionUID = 3961599350891881100L;

    private Icon alien;
    
    public AlienTableCellRenderer()
    {
        setVerticalTextPosition(SwingConstants.CENTER);
        setHorizontalTextPosition(SwingConstants.LEFT);
        setIconTextGap( 12 );
        alien = ConfigData.getIcon( "/alien.png" );
    }

    @Override
    public Component getTableCellRendererComponent( JTable table, Object value,
                    boolean isSelected, boolean hasFocus, int row, int column )
    {
        TableModel model = table.getModel();
        if( model instanceof AlienTableModelExtension )
        {
            setIcon( ((AlienTableModelExtension)model).isAlien( row ) ? alien : null );
        }
        return super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row,
                        column );
    }

    
}
