/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;

import sitool.ConfigData;

public class BlindCheckBoxTableCellRenderer extends BlindTableCellRenderer
{
    private static final long serialVersionUID = 2893944092539668694L;
    private Icon link; 
    private Icon openlink; 

    public BlindCheckBoxTableCellRenderer()
    {
        setBorder( new EmptyBorder( 0, 12, 0, 20 ) );
        link = ConfigData.getIcon( "/link.png" );
        openlink = ConfigData.getIcon( "/link-open.png" );
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
        Icon icon = ( Boolean.parseBoolean( value.toString() ) ) ? link : openlink;
        setIcon( icon );

		return super.getTableCellRendererComponent( table, "", isSelected, hasFocus, row, column );
	}
}
