/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JButton;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.UIManager;
import javax.swing.border.EmptyBorder;
import javax.swing.table.TableCellRenderer;

public class BlindTableCellRenderer extends JButton implements TableCellRenderer
{
    private static final long serialVersionUID = 2969212083852732741L;

    public BlindTableCellRenderer()
    {
        setHorizontalAlignment( SwingConstants.LEFT );
        setBorder( new EmptyBorder( 0, 4, 0, 4 ) );
        setFont( getFont().deriveFont( Font.PLAIN ) );
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
        String text = (value != null) ? value.toString() : "";
        setText( text );
        Color fg = ( isSelected ) ? Color.blue : table.getForeground();
        Color bg = ( isSelected ) ? UIManager.getColor( "Table.selectionBackground" ) : table.getBackground();
        setForeground( fg );
        setBackground( bg );
		return this;
	}
}
