/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Component;
import java.awt.Font;

import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.border.EmptyBorder;
import javax.swing.table.TableCellRenderer;

import sitool.components.GradientLabel;

public class GradientTableCellRenderer extends GradientLabel implements TableCellRenderer
{
	private static final long serialVersionUID = -7797032550138513822L;
	
    public GradientTableCellRenderer()
    {
    	super();
    	setBorder( new EmptyBorder( 0, 0, 0, 0 ) );
        setFont( getFont().deriveFont( Font.PLAIN ) );
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
        String text = (value != null) ? value.toString() : "";
        setText( text );
        if(!isSelected)
        {
            setBackground( table.getBackground() );
            setForeground( table.getForeground() );
        }
        else
        {
            setBackground( UIManager.getColor( "Table.selectionBackground" ) );
            setForeground( UIManager.getColor( "Table.selectionForeground" ) );

        }
		return this;
	}

}
