package sitool.table;

import java.awt.Color;
import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

public class ImageTableCellRenderer implements TableCellRenderer 
{
    private TableCellRenderer delegate;
    
    protected Component renderer;
    protected JLabel canvas;

    public ImageTableCellRenderer()
    {
        this.delegate = new AlternateLineTableCellRenderer();
        canvas = new JLabel();
        canvas.setOpaque( true );
    }


    public Component getTableCellRendererComponent (JTable table, 
                    Object value, boolean isSelected, boolean hasFocus, int row, int column) 
    {
        renderer = delegate.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
        Color color = renderer.getBackground();
        canvas.setBackground( color );
        if( value instanceof Icon )
        {
            canvas.setIcon( ( Icon )value );
        }
        else
        {
            canvas.setIcon( null );
        }

        return canvas;
    }
}
