package sitool.table;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SpinnerModel;

public class NumericSpinnerTableCellRenderer extends SpinnerTableCellRenderer
{
    private final JLabel substitute = new JLabel();

    public NumericSpinnerTableCellRenderer( SpinnerModel model )
    {
        super( model );
        substitute.setOpaque( true );
    }


    public Component getTableCellRendererComponent (JTable table,
                    Object value, boolean isSelected, boolean hasFocus, int row, int column)
    {
        Component c = super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
        if( value instanceof Number )
        {
            Number number = ( Number )value;
            if( (int)(number.doubleValue() * 10) == 0 )
            {
                // show empty field
                c = substitute;
                Color color = renderer.getBackground();
                c.setBackground( color );
            }
        }
        return c;
    }
}
