/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.UIManager;
import javax.swing.table.TableModel;

public class ResourceTableCellRenderer extends AlternateLineTableCellRenderer
{
    private static final long serialVersionUID = -6093300490082645070L;
	
    public ResourceTableCellRenderer()
    {
        super();
        setHorizontalAlignment( SwingConstants.RIGHT );
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
		Component renderer = super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );
	    Color fg = null;
	    Color selected = null;
	    Font font = null;
	    Font bold = null;

	    fg = table.getForeground();
	    font = table.getFont();
	    bold = font.deriveFont( Font.BOLD );

        if( isSelected )
        {
            selected = UIManager.getColor( "Table.selectionForeground" );
        }
		
        boolean mark = false;
        TableModel model = table.getModel();
        if( model instanceof ResourceMarker )
        {
            int modelRow = table.convertRowIndexToModel( row );
            int modelColumn = table.convertColumnIndexToModel( column );
            mark = ((ResourceMarker)model).markResource( modelRow, modelColumn ) ;
        }
        if( mark )
        {
            renderer.setForeground( Color.red );
            renderer.setFont( bold );
        }
        else
        {
            if( isSelected )
            {
                renderer.setForeground( selected );
            }
            else
            {
                renderer.setForeground( fg );
            }
            renderer.setFont( font );
        }

		return renderer;
	}
}
