/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;
import javax.swing.table.TableModel;

import sitool.ConfigData;

public class SortableTableCellHeaderRenderer implements TableCellRenderer
{
	private Icon upArrow; 
	private Icon downArrow;
	TableCellRenderer delegate;
	
	public SortableTableCellHeaderRenderer( TableCellRenderer delegate )
	{
		this.delegate = delegate;
		upArrow = ConfigData.getIcon( "/arrow_up.gif" );
		downArrow = ConfigData.getIcon( "/arrow_down.gif" );
	}

	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
		Component renderer = delegate.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );
		TableModel tableModel = table.getModel();
		if( renderer instanceof JLabel && tableModel instanceof SortableTableModel )
		{
			JLabel label = (JLabel) renderer;
			SortableTableModel model = (SortableTableModel) tableModel;
            int modelColumn = table.convertColumnIndexToModel( column );
			if( model.getSortColumn() == modelColumn )
			{
				switch( model.getSortOrder() )
				{
					case Ascending:
						label.setIcon( upArrow );
						break;
					case Descending:
						label.setIcon( downArrow );
						break;
				}
			}
		}
		return renderer;
	}
}
