/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JTable;
import javax.swing.SwingUtilities;
import javax.swing.table.JTableHeader;
import javax.swing.table.TableColumnModel;
import javax.swing.table.TableModel;

import sitool.table.SortableTableModel.SortOrder;

public class SortableTableHeaderMouseListener extends MouseAdapter
{
    public void mouseClicked(MouseEvent e)
    {
    	Object o = e.getSource();
    	if( o instanceof JTableHeader )
    	{
    		JTableHeader header = (JTableHeader) o;
    		JTable table = header.getTable();
    		TableModel tableModel = table.getModel();
    		if( tableModel instanceof SortableTableModel )
    		{
    			SortableTableModel model = (SortableTableModel) tableModel;
                TableColumnModel columnModel = table.getColumnModel();
                int viewColumn = columnModel.getColumnIndexAtX(e.getX());
                int column = table.convertColumnIndexToModel(viewColumn);

                if ( SwingUtilities.isLeftMouseButton(e) && e.getClickCount() == 1 && column != -1 )
                {
                	// click in new column starts sort
	                if( model.getSortColumn() != column )
	                {
	                	model.setSortColumn( column, SortOrder.Ascending );
	                }
	                else
	                {
	                	SortOrder sortOrder = model.getSortOrder();
	                	model.setSortOrder( sortOrder.invert() );
	                }
	    			
	                header.repaint();
                }
    		}
    	}
    }
}
